Page 1 of 1

cannot use magick on macOS 10.15 Catalina

Posted: 2019-10-10T08:02:21-07:00
by mylastgg
Hello!
Apple just recently released the latest version of the macOS system, 10.15 Catalina and asked developers to notarize their software: https://developer.apple.com/news/?id=09032019a

I'm using a python script that invokes magick using bash and it works just fine on macOS 10.14, but when I run on Catalina I get this error:

"magick” cannot be opened because the developer cannot be trusted

Is this something that the magick community need to fix (e.g. to release a notarized version of magick)?

Best,

Davide

Re: cannot use magick on macOS 10.15 Catalina

Posted: 2019-11-15T01:30:43-07:00
by dgpeters
I agree, ImageMagick does not work on macOS Catalina. I don't exactly understand why. But I hope someone fixes it soon. If not, is there some software that provides a little equivalent functionality?

Re: cannot use magick on macOS 10.15 Catalina

Posted: 2019-11-16T14:03:28-07:00
by magick
In macOS Catalina and macOS Mojave, when ImageMagick fails to install because it hasn’t been notarized, it will appear in System Preferences > Security & Privacy, under the General tab. Click Open Anyway to confirm your intent to open or install ImageMagick. In the mean-time, we're working on getting the ImageMagick build notarized.

Re: cannot use magick on macOS 10.15 Catalina

Posted: 2019-11-28T12:59:36-07:00
by klt
In order to use Imagick on Mac OS X, I have removed the extended attribute com.apple.quarantine from the files:

Code: Select all

cd $MAGICK_HOME 
xattr -d com.apple.quarantine */*
I had installed ImageMagick by extracting the tarball:

Code: Select all

tar -xzf ImageMagick-x86_64-apple-darwin19.0.0.tar.gz